# Key Telephone Server Copyright (c) 1997-1998 Tycho Softworks.
# $Id: keyterm.spec 1.1 Mon, 26 Oct 1998 11:55:38 -0500 dyfet $

Summary: Key Telephone Servers for various programmable phone systems
Name: keyterm
Version: 0.1.0
Release: 1
Url: http://www.tycho.com/keyterm
Source: ftp.tycho.com:/pub/packages/source/keyterm-%{PACKAGE_VERSION}.tar.gz
Copyright: GPL
Group: Utils/Daemons
BuildRoot: /tmp/keyterm-root

%package dbs
Summary: Key Telephone server for DBS phone systems
Requires: dbs_server
Group: Utils/Daemons

%description
The Key Telephone Server provides a PC driven user interface on digital
display telephones from a key telephone system such as a PBX.  This user
interface is used to set various user and system properties, such as
notification, and perform control and security functions through an X10 or
similar interface.

%description dbs
The Key Telephone Server for the DBS operates in conjunction with the
dbs_server to provide a PC driven user interface on the Panasonic
large display digital telephone station.  This interface is activated
through the ACD key.

%prep
%setup
./config --root=$RPM_BUILD_ROOT --prefix=/usr

%build
cd dbs
make
cd ..

%install dbs
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc
mkdir -p $RPM_BUILD_ROOT/usr/sbin
make install-dbs

%clean
rm -rf $RPM_BUILD_ROOT

%files dbs
%defattr(-,root,root)
%doc COPYING README
/etc/rc.d/init.d/keyterm
/etc/rc.d/rc3.d/S24keyterm
/etc/rc.d/rc4.d/S24keyterm
/etc/rc.d/rc5.d/S24keyterm
/usr/sbin/keyterm-dbs

